Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class TraitInformation

    java.lang.Object
      org.apache.batik.dom.svg.TraitInformation

    public class TraitInformation

extends Object

Stores information about a specific XML attribute or CSS property.

Field Summary
`protected boolean` | `isAnimatable` Whether this trait can be animated.
`static short` | `PERCENTAGE_FONT_SIZE`
`static short` | `PERCENTAGE_VIEWPORT_HEIGHT`
`static short` | `PERCENTAGE_VIEWPORT_SIZE`
`static short` | `PERCENTAGE_VIEWPORT_WIDTH`
`protected short` | `percentageInterpretation` What percentages in this trait are relative to.
`protected int` | `type` The SVG type of this trait.

Constructor Summary
`TraitInformation(boolean isAnimatable, int type)` Creates a new TraitInformation object.
`TraitInformation(boolean isAnimatable, int type, short percentageInterpretation)` Creates a new TraitInformation object.

Method Summary
`short` | `getPercentageInterpretation()` Returns how percentage values in this trait are resolved.
`int` | `getType()` Returns the SVG type of this trait.
`boolean` | `isAnimatable()` Returns whether this trait is animatable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERCENTAGE_FONT_SIZE

    public static final short PERCENTAGE_FONT_SIZE

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_WIDTH

    public static final short PERCENTAGE_VIEWPORT_WIDTH

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_HEIGHT

    public static final short PERCENTAGE_VIEWPORT_HEIGHT

See Also:
  Constant Field Values

### PERCENTAGE_VIEWPORT_SIZE

    public static final short PERCENTAGE_VIEWPORT_SIZE

See Also:
  Constant Field Values

### isAnimatable

    protected boolean isAnimatable

  Whether this trait can be animated.

### type

    protected int type

  The SVG type of this trait.

### percentageInterpretation

    protected short percentageInterpretation

  What percentages in this trait are relative to.

Constructor Detail

### TraitInformation

    public TraitInformation(boolean isAnimatable,
                            int type,
                            short percentageInterpretation)

  Creates a new TraitInformation object.

### TraitInformation

    public TraitInformation(boolean isAnimatable,
                            int type)

  Creates a new TraitInformation object.

Method Detail

### isAnimatable

    public boolean isAnimatable()

  Returns whether this trait is animatable.

### getType

    public int getType()

  Returns the SVG type of this trait.

### getPercentageInterpretation

    public short getPercentageInterpretation()

  Returns how percentage values in this trait are resolved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.